UI.AddLabel(" d0nwalk for onetapv3 ");
UI.AddLabel("  built by aol#8147 ");
UI.AddLabel("______________________________________");
UI.AddLabel("                Clantag");
UI.AddDropdown("Custom ClanTag", ["Disabled", "donwalk"]);
UI.AddSliderInt("Custom ClanTag Speed", 1, 10);
var lasttime = 0;
function onRender() {
  var a = UI.GetValue("Script Items", "Custom ClanTag"), b = UI.GetValue("Script Items", "Custom ClanTag Speed");
  b = parseInt(Globals.Curtime() * b);
  if (b != lasttime && (0 == a && Local.SetClanTag(""), 1 == a)) {
    switch(b % 30) {
      case 1:
        Local.SetClanTag("	");
        break;
      case 2:
        Local.SetClanTag("n	");
        break;
      case 3:
        Local.SetClanTag("on	");
        break;
      case 4:
        Local.SetClanTag("don	");
        break;
      case 5:
        Local.SetClanTag("don	wk");
        break;
      case 6:
        Local.SetClanTag("don	wlk");
        break;
      case 7:
        Local.SetClanTag("don	walk");
        break;
      case 8:
        Local.SetClanTag("don  walk");
        break;
      case 9:
        Local.SetClanTag("don walk");
        break;
      case 10:
        Local.SetClanTag("donwalk");
        break;
      case 11:
        Local.SetClanTag("dnwalk");
        break;
      case 12:
        Local.SetClanTag("dnwlk");
        break;
      case 13:
        Local.SetClanTag("dwk");
        break;
      case 15:
        Local.SetClanTag("dk");
        break;
      case 16:
        Local.SetClanTag("	");
        break;
      case 17:
        Local.SetClanTag("9");
        break;
      case 18:
        Local.SetClanTag("9");
        break;
      case 19:
        Local.SetClanTag("-a9");
        break;
      case 20:
        Local.SetClanTag("--a9");
        break;
      case 21:
        Local.SetClanTag("-a9");
        break;
      case 22:
        Local.SetClanTag("-- a9");
        break;
      case 23:
        Local.SetClanTag("y a9");
        break;
      case 24:
        Local.SetClanTag("by ao#9");
        break;
      case 25:
        Local.SetClanTag("by aol#99");
        break;
      case 26:
        Local.SetClanTag("by aol#999");
        break;
      case 27:
        Local.SetClanTag("by aol#9999");
        break;
      case 28:
        Local.SetClanTag("b#~a01#9696");
        break;
      case 29:
        Local.SetClanTag("```````````");
        break;
      case 30:
        Local.SetClanTag("         ");
    }
  }
  lasttime = b;
}
Cheat.RegisterCallback("Draw", "onRender");
function clamp(a, b, c) {
  return a <= b ? b : a >= c ? c : a;
}
function rand(a, b) {
  return a + Math.floor((b - a) * Math.random());
}
function deg2rad(a) {
  return a * Math.PI / 180;
}
function angle_to_vec(a, b) {
  var c = deg2rad(a), d = deg2rad(b), f = Math.cos(c);
  return [f * Math.cos(d), f * Math.sin(d), -Math.sin(c)];
}
function get_velocity(a) {
  a = Entity.GetProp(a, "CBasePlayer", "m_vecVelocity[0]");
  return Math.sqrt(a[0] * a[0] + a[1] * a[1]);
}
function get_delta(a) {
  return 58 - get_velocity(a) / 8;
}
function trace(a, b) {
  var c = angle_to_vec(b[0], b[1]), d = Entity.GetRenderOrigin(a);
  d[2] += 50;
  var f = [d[0] + 8192 * c[0], d[1] + 8192 * c[1], d[2] + 8192 * c[2]];
  f = Trace.Line(a, d, f);
  if (1 != f[1] && (f = [d[0] + c[0] * f[1] * 8192, d[1] + c[1] * f[1] * 8192, d[2] + c[2] * f[1] * 8192], c = Math.sqrt((d[0] - f[0]) * (d[0] - f[0]) + (d[1] - f[1]) * (d[1] - f[1]) + (d[2] - f[2]) * (d[2] - f[2])), d = Render.WorldToScreen(d), f = Render.WorldToScreen(f), 1 == f[2] && 1 == d[2])) {
    return c;
  }
}
function radian(a) {
  return a * Math.PI / 180;
}
function ExtendVector(a, b, c) {
  b = radian(b);
  return [c * Math.cos(b) + a[0], c * Math.sin(b) + a[1], a[2]];
}
function VectorAdd(a, b) {
  return [a[0] + b[0], a[1] + b[1], a[2] + b[2]];
}
function VectorSubtract(a, b) {
  return [a[0] - b[0], a[1] - b[1], a[2] - b[2]];
}
function VectorMultiply(a, b) {
  return [a[0] * b[0], a[1] * b[1], a[2] * b[2]];
}
function VectorLength(a, b, c) {
  return Math.sqrt(a * a + b * b + c * c);
}
function VectorNormalize(a) {
  var b = VectorLength(a[0], a[1], a[2]);
  return [a[0] / b, a[1] / b, a[2] / b];
}
function VectorDot(a, b) {
  return a[0] * b[0] + a[1] * b[1] + a[2] * b[2];
}
function VectorDistance(a, b) {
  return VectorLength(a[0] - b[0], a[1] - b[1], a[2] - b[2]);
}
function ClosestPointOnRay(a, b, c) {
  var d = VectorSubtract(a, b);
  a = VectorSubtract(c, b);
  var f = VectorLength(a[0], a[1], a[2]);
  a = VectorNormalize(a);
  d = VectorDot(a, d);
  return 0 > d ? b : d > f ? c : VectorAdd(b, VectorMultiply(a, [d, d, d]));
}
UI.AddCheckbox("indicators");
UI.AddCheckbox("donwalk");
function Player(a) {
  this.ent_index = a;
  this.known_desync = 2;
}
function dist(a, b) {
  deltaX = a[0] - b[0];
  deltaY = a[1] - b[1];
  deltaZ = a[2] - b[2];
  return distance = Math.sqrt(deltaX * deltaX + deltaY * deltaY + deltaZ * deltaZ);
}
function arrayRemove(a, b) {
  return a.filter(function(c) {
    return c.ent_index != b;
  });
}
function find_enemy(a) {
  for (i = 0; i < enemies_list.length; i++) {
    if (enemies_list[i].ent_index == a) {
      return enemies_list[i];
    }
  }
  return Player(-1);
}
var other_weapons = "knife knife_t knife_karambit knife_m9_bayonet knife_survival_bowie knife_butterfly knife_flip knife_push knife_tactical knife_falchion knife_gut knife_ursus knife_gypsy_jackknife knife_stiletto knife_widowmaker knife_css knife_cord knife_canis knife_outdoor knife_skeleton bayonet hegrenade smokegrenade molotov incgrenade flashbang decoy taser".split(" ");
function is_gun(a) {
  for (var b = 0; b < other_weapons.length; b++) {
    if (a == "weapon_" + other_weapons[b]) {
      return !1;
    }
  }
  return !0;
}
function rotate(a, b, c, d, f) {
  rad = Math.PI / 180 * d;
  ind0 = (b ? Math.cos(rad) : Math.sin(rad)) * f;
  ind1 = (b ? Math.sin(rad) : Math.cos(rad)) * f;
  c[0] += a ? ind0 : -ind0;
  c[1] += a ? ind1 : -ind1;
  return c;
}
best_enemy = new Player(-1);
enemies_list = [];
function do_aa() {
  if (UI.GetValue("Misc", "JAVASCRIPT", "Script items", "ExtendedDonwalking (use with donwalk for it to work)")) {
    if (local_index = Entity.GetLocalPlayer(), closest_enemy = 0, Entity.IsValid(local_index)) {
      if (enemies = Entity.GetEnemies(), 0 == Entity.IsAlive(local_index)) {
        best_enemy = new Player(-1);
      } else {
        for (i = 0; i < enemies.length; i++) {
          should_push = !0;
          for (j = 0; j < enemies_list.length; j++) {
            enemies_list[j].ent_index == enemies[i] && (should_push = !1);
          }
          should_push && enemies_list.push(new Player(enemies[i]));
        }
        local_eye_pos = Entity.GetEyePosition(local_index);
        closest = -1;
        for (i = 0; i < enemies_list.length; i++) {
          1 == Entity.IsAlive(enemies_list[i].ent_index) && 1 == Entity.IsValid(enemies_list[i].ent_index) && 0 == Entity.IsDormant(enemies_list[i].ent_index) && (enemy_eye_pos = Entity.GetEyePosition(enemies_list[i].ent_index), distance = dist(local_eye_pos, enemy_eye_pos), -1 == closest ? (closest = distance, closest_enemy = enemies_list[i]) : distance < closest && (closest = distance, closest_enemy = enemies_list[i]));
        }
        1 == Entity.IsAlive(best_enemy.ent_index) && 1 == Entity.IsValid(best_enemy.ent_index) && 0 == Entity.IsDormant(best_enemy.ent_index) ? closest_enemy = best_enemy : best_enemy = new Player(-1);
        if (-1 != closest) {
          var a = UI.IsHotkeyActive("Anti-Aim", "Fake angles", "Inverter");
          origin = Entity.GetRenderOrigin(Entity.GetLocalPlayer());
          originenemy = Entity.GetRenderOrigin(closest_enemy.ent_index);
          distleft = dist([origin[0] - 58, origin[1], origin[2]], originenemy);
          distright = dist([origin[0] + 58, origin[1], origin[2]], originenemy);
          hitbox_pos = Entity.GetHitboxPosition(closest_enemy.ent_index, 0);
          hitbox_pos2 = Entity.GetHitboxPosition(closest_enemy.ent_index, 5);
          result = Trace.Bullet(local_index, local_eye_pos, hitbox_pos);
          result2 = Trace.Bullet(local_index, local_eye_pos, hitbox_pos2);
          1 <= result[1] || 1 <= result2[1] ? (1 == closest_enemy.known_desync && UI.IsHotkeyActive("Anti-Aim", "Fake angles", "inverter") && UI.ToggleHotkey("Anti-Aim", "Fake angles", "inverter"), 2 == closest_enemy.known_desync && (UI.IsHotkeyActive("Anti-Aim", "Fake angles", "inverter") || UI.ToggleHotkey("Anti-Aim", "Fake angles", "inverter"))) : (1 == closest_enemy.known_desync && (distleft < distright && (a || UI.ToggleHotkey("Anti-Aim", "Fake angles", "inverter")), distright < distleft && 
          a && UI.ToggleHotkey("Anti-Aim", "Fake angles", "inverter")), 2 == closest_enemy.known_desync && (distleft < distright && a && UI.ToggleHotkey("Anti-Aim", "Fake angles", "Inverter"), distright < distleft && (a || UI.ToggleHotkey("Anti-Aim", "Fake angles", "Inverter"))));
        }
      }
    } else {
      enemies_list = [];
    }
  }
}
function GetScriptOption(a) {
  return UI.GetValue("Misc", "JAVASCRIPT", "Script Items", a);
}
function radian(a) {
  return a * Math.PI / 180;
}
function ExtendVector(a, b, c) {
  b = radian(b);
  return [c * Math.cos(b) + a[0], c * Math.sin(b) + a[1], a[2]];
}
function VectorAdd(a, b) {
  return [a[0] + b[0], a[1] + b[1], a[2] + b[2]];
}
function VectorSubtract(a, b) {
  return [a[0] - b[0], a[1] - b[1], a[2] - b[2]];
}
function VectorMultiply(a, b) {
  return [a[0] * b[0], a[1] * b[1], a[2] * b[2]];
}
function VectorLength(a, b, c) {
  return Math.sqrt(a * a + b * b + c * c);
}
function VectorNormalize(a) {
  var b = VectorLength(a[0], a[1], a[2]);
  return [a[0] / b, a[1] / b, a[2] / b];
}
function VectorDot(a, b) {
  return a[0] * b[0] + a[1] * b[1] + a[2] * b[2];
}
function VectorDistance(a, b) {
  return VectorLength(a[0] - b[0], a[1] - b[1], a[2] - b[2]);
}
function ClosestPointOnRay(a, b, c) {
  var d = VectorSubtract(a, b);
  a = VectorSubtract(c, b);
  var f = VectorLength(a[0], a[1], a[2]);
  a = VectorNormalize(a);
  d = VectorDot(a, d);
  return 0 > d ? b : d > f ? c : VectorAdd(b, VectorMultiply(a, [d, d, d]));
}
var lastHitTime = 0, lastImpactTimes = [0], lastImpacts = [[0, 0, 0]];
function OnHurt() {
  if (Entity.GetEntityFromUserID(Event.GetInt("userid")) == Entity.GetLocalPlayer()) {
    var a = Event.GetInt("hitgroup");
    entity = Entity.GetEntityFromUserID(Event.GetInt("attacker"));
    if (1 == a || 6 == a || 7 == a) {
      lastHitTime = Global.Curtime(), ent = find_enemy(entity), ent.ent_index = entity, ent.known_desync = UI.IsHotkeyActive("Anti-Aim", "Fake angles", "Inverter") ? 1 : 2, best_enemy = ent;
    }
  }
}
function OnBulletImpact() {
  var a = Global.Curtime();
  if (!(.2 > Math.abs(lastHitTime - a))) {
    var b = Entity.GetEntityFromUserID(Event.GetInt("userid")), c = [Event.GetFloat("x"), Event.GetFloat("y"), Event.GetFloat("z"), a];
    if (Entity.IsValid(b) && Entity.IsEnemy(b)) {
      if (Entity.IsDormant(b)) {
        if (.1 > Math.abs(lastImpactTimes[b] - a)) {
          var d = lastImpacts[b];
        } else {
          lastImpacts[b] = c;
          lastImpactTimes[b] = a;
          return;
        }
      } else {
        d = Entity.GetEyePosition(b);
      }
      var f = Entity.GetLocalPlayer(), h = Entity.GetEyePosition(f), g = Entity.GetProp(f, "CBaseEntity", "m_vecOrigin"), k = VectorMultiply(VectorAdd(h, g), [.5, .5, .5]);
      f = ClosestPointOnRay(k, d, c);
      var m = VectorDistance(k, f);
      if (256 > m) {
        var l = Local.GetRealYaw();
        k = Local.GetFakeYaw();
        var n = ClosestPointOnRay(h, d, c);
        h = VectorDistance(h, n);
        d = ClosestPointOnRay(g, d, c);
        g = VectorDistance(g, d);
        m < h && m < g ? (ExtendVector(f, l + 180, 10), ExtendVector(f, k + 180, 10)) : g < h ? (g = ExtendVector(f, l - 30 + 90, 10), l = ExtendVector(f, l - 30 - 90, 10), m = ExtendVector(f, k - 30 + 90, 10), f = ExtendVector(f, k - 30 - 90, 10), VectorDistance(d, g), VectorDistance(d, l), VectorDistance(d, m), VectorDistance(d, f)) : (ExtendVector(f, l, 10), ExtendVector(f, k, 10));
        lastHitTime = a;
        ent = find_enemy(b);
        ent.ent_index = b;
        ent.known_desync = UI.IsHotkeyActive("Anti-Aim", "Fake angles", "Inverter") ? 1 : 2;
        best_enemy = ent;
      }
      lastImpacts[b] = c;
      lastImpactTimes[b] = a;
    }
  }
}
function on_player_disconnect() {
  if (UI.GetValue("Misc", "JAVASCRIPT", "Script items", "ExtendedDonwalking (use with donwalk for it to work)")) {
    var a = Event.GetInt("userid");
    arrayRemove(enemies_list, Entity.GetEntityFromUserID(a));
  }
}
function Main() {
  UI.AddCheckbox("ExtendedDonwalking (use with donwalk for it to work)");
  Cheat.RegisterCallback("bullet_impact", "OnBulletImpact");
  Global.RegisterCallback("Draw", "do_aa");
  Global.RegisterCallback("player_disconnect", "on_player_disconnect");
}
Main();
UI.AddColorPicker("indicators color");
UI.AddHotkey("legit desync");
UI.AddHotkey("freestanding");
UI.AddHotkey("min dmg override");
var predicted_time = 0, buy = !1, donwalking = !0;
UI.AddSliderFloat("Noscope distance (m)", 0, 100);
var target = -1;
function CreateMove() {
  target = Ragebot.GetTarget() ? Ragebot.GetTarget() : closestTarget();
  Entity.IsAlive(target) ? get_metric_distance(Entity.GetRenderOrigin(Entity.GetLocalPlayer()), Entity.GetRenderOrigin(target)) < UI.GetValue("Script items", "Noscope distance (m)") ? UI.SetValue("Rage", "GENERAL", "General", "Auto scope", !1) : UI.SetValue("Rage", "GENERAL", "General", "Auto scope", !0) : UI.SetValue("Rage", "GENERAL", "General", "Auto scope", !0);
}
Cheat.RegisterCallback("CreateMove", "CreateMove");
function closestTarget() {
  var a = Entity.GetLocalPlayer(), b = Entity.GetEnemies(), c = [];
  for (e in b) {
    Entity.IsAlive(b[e]) && !Entity.IsDormant(b[e]) && Entity.IsValid(b[e]) && c.push([b[e], calcDist(Entity.GetHitboxPosition(a, 0), Entity.GetHitboxPosition(b[e], 0))]);
  }
  c.sort(function(d, f) {
    return d[1] - f[1];
  });
  return 0 == c.length || c == [] ? target = -1 : c[0][0];
}
function calcDist(a, b) {
  x = a[0] - b[0];
  y = a[1] - b[1];
  z = a[2] - b[2];
  return Math.sqrt(x * x + y * y + z * z);
}
function get_metric_distance(a, b) {
  return Math.floor(.0254 * Math.sqrt(Math.pow(a[0] - b[0], 2) + Math.pow(a[1] - b[1], 2) + Math.pow(a[2] - b[2], 2)));
}
function auto_buy_prediction() {
  predicted_time = Globals.Curtime() + Convar.GetInt("mp_round_restart_delay");
  buy = !0;
}
function auto_buy_purchase() {
  buy && Globals.Curtime() + Local.Latency() / 1E3 >= predicted_time + Local.Latency() / 1E3 && (Cheat.ExecuteCommand("buy awp"), Cheat.ExecuteCommand("buy awp"), Cheat.ExecuteCommand("buy awp"), buy = !1);
}
function auto_buy_purchased() {
  buy = !1;
}
function main_yaw() {
  var a = Entity.GetLocalPlayer(), b = Entity.IsAlive(Ragebot.GetTarget()), c = left_distance = trace(a, [0, Local.GetViewAngles()[1] - 23]) - (right_distance = trace(a, [0, Local.GetViewAngles()[1] + 23])), d = rand(0, 2);
  a = get_delta(a);
  UI.IsHotkeyActive("Misc", "JAVASCRIPT", "Script items", "legit desync") ? (UI.SetValue("Anti-Aim", "Rage Anti-Aim", "At targets", !0), UI.SetValue("Anti-Aim", "Rage Anti-Aim", "Auto direction", !0), UI.SetValue("Misc", "PERFORMANCE & INFORMATION", "Information", "Restrictions", 0), UI.SetValue("Anti-Aim", "Rage Anti-Aim", "Yaw offset", 180), UI.SetValue("Anti-Aim", "Rage Anti-Aim", "Jitter offset", 0), UI.SetValue("Anti-Aim", "Rage Anti-Aim", "Yaw offset", 180), UI.SetValue("Anti-Aim", "Extra", 
  "Pitch", 0)) : (UI.SetValue("Misc", "PERFORMANCE & INFORMATION", "Information", "Restrictions", 0), UI.SetValue("Anti-Aim", "Rage Anti-Aim", "At targets", !0), UI.SetValue("Anti-Aim", "Rage Anti-Aim", "Auto direction", !1), UI.SetValue("Anti-Aim", "Rage Anti-Aim", "Yaw offset", 0), UI.SetValue("Anti-Aim", "Rage Anti-Aim", "Jitter offset", 0), UI.SetValue("Anti-Aim", "Extra", "Pitch", 1), 1 == UI.GetValue("Misc", "JAVASCRIPT", "Script Items", "freestanding") && 0 == donwalking ? UI.SetValue("Anti-Aim", 
  "Rage Anti-Aim", "Auto direction", !0) : UI.SetValue("Anti-Aim", "Rage Anti-Aim", "Auto direction", !1));
  1 == UI.GetValue("Misc", "JAVASCRIPT", "Script Items", "d0n-walk") && UI.IsHotkeyActive("Anti-Aim", "Extra", "Slow walk") && UI.IsHotkeyActive("Misc", "JAVASCRIPT", "Script items", "legit desync") ? (AntiAim.SetOverride(1), AntiAim.SetFakeOffset(8), AntiAim.SetRealOffset(-17), AntiAim.SetLBYOffset(7), donwalking = !0, side = 3) : (donwalking = !1, 1 != b ? 1 <= c ? (AntiAim.SetOverride(1), UI.IsHotkeyActive("Misc", "JAVASCRIPT", "Script items", "legit desync") ? (AntiAim.SetFakeOffset(0), 0 == 
  d ? AntiAim.SetRealOffset(-60) : 1 == d && AntiAim.SetRealOffset(-60)) : (AntiAim.SetFakeOffset(-a / 4), 0 == d ? AntiAim.SetRealOffset(a) : 1 == d && AntiAim.SetRealOffset(a / 3)), AntiAim.SetLBYOffset(0), side = 1) : -1 >= c && (AntiAim.SetOverride(1), UI.IsHotkeyActive("Misc", "JAVASCRIPT", "Script items", "legit desync") ? (AntiAim.SetFakeOffset(0), 0 == d ? AntiAim.SetRealOffset(60) : 1 == d && AntiAim.SetRealOffset(60)) : (AntiAim.SetFakeOffset(a / 4), 0 == d ? AntiAim.SetRealOffset(-a) : 
  1 == d && AntiAim.SetRealOffset(-a / 2)), AntiAim.SetLBYOffset(0), side = 2) : (UI.IsHotkeyActive("Misc", "JAVASCRIPT", "Script items", "legit desync") ? (AntiAim.SetOverride(1), AntiAim.SetFakeOffset(0), 0 == d ? AntiAim.SetRealOffset(31) : 1 == d && AntiAim.SetRealOffset(-31)) : (AntiAim.SetOverride(1), AntiAim.SetFakeOffset(0), 0 == d ? AntiAim.SetRealOffset(-a) : 1 == d && AntiAim.SetRealOffset(a)), AntiAim.SetLBYOffset(0), side = 3));
}
function hsv_to_rgb(a, b, c) {
  return {r:NaN, g:NaN, b:NaN};
}
function getCustomValue(a) {
  return UI.GetValue("MISC", "JAVASCRIPT", "Script items", a);
}
var position = {x1:0, y1:0};
function draw_fatality_rect(a, b, c, d) {
  hsv_to_rgb(Global.Realtime() * UI.GetValue("MISC", "JAVASCRIPT", "Script Items", "Gradient Speed"), 1, 1);
}
function draw_fatality_rect2(a, b, c, d) {
  Render.Rect(a + 45, b + 2, c + 60, d + -10, [0, 0, 0, 200]);
  Render.FilledRect(a + 46, b + 3, c + 58, d + -10, [55, 55, 55, 200]);
  Render.FilledRect(a + 50, b + 7, c - -50, d - 19, [30, 30, 30, 200]);
  Render.Rect(a + 50, b + 6, c - -50, d + -17, [0, 0, 0, 200]);
}
function draw() {
  if (World.GetServerString()) {
    var a = new Date;
    a.getHours();
    a.getMinutes();
    a.getSeconds();
    var b = Globals.Tickrate().toString(), c = Math.round(Entity.GetProp(Entity.GetLocalPlayer(), "CPlayerResource", "m_iPing")).toString();
    color = UI.GetColor("Misc", "JAVASCRIPT", "Script items", "Watermark");
    a = Render.AddFont("Verdana", 7, 400);
    b = "KiduaHook [beta] | Lutiy Cracker | delay: " + c + "ms | " + b + "tick";
    c = Render.TextSizeCustom(b, a)[0] + 8;
    var d = Global.GetScreenSize()[0];
    d = d - c - 10;
    Render.FilledRect(d, 10, c, 2, [color[0], color[1], color[2], 255]);
    Render.FilledRect(d, 12, c, 18, [17, 17, 17, color[3]]);
    Render.StringCustom(d + 4, 14, 0, b, [255, 255, 255, 255], a);
  }
}
function main_indicators() {
  var a = clamp(Math.abs(Math.round(Local.GetRealYaw() - Local.GetFakeYaw())), 0, 58), b = 255 * Math.sin(Math.abs(-3.14 + Globals.Curtime() * (1 / .75) % 6.28)), c = UI.GetColor("Misc", "JAVASCRIPT", "Script items", "indicators color"), d = Render.AddFont("Verdana", 11, 11), f = Render.AddFont("Verdana", 15, 15), h = Render.AddFont("Verdana", 20, 20), g = Render.AddFont("Verdana", 11, 11), k = Render.AddFont("Verdana", 11, 11);
  3 != side && (Render.String(Global.GetScreenSize()[0] / 2 + 50, Global.GetScreenSize()[1] / 2 - 14, 0, ">", [50, 50, 50, 150], h), Render.String(Global.GetScreenSize()[0] / 2 - 66, Global.GetScreenSize()[1] / 2 - 14, 0, "<", [50, 50, 50, 150], h));
  1 == side && 0 < a ? Render.String(Global.GetScreenSize()[0] / 2 + 50, Global.GetScreenSize()[1] / 2 - 14, 0, ">", [c[0], c[1], c[2], 255], h) : 2 == side && 0 < a && Render.String(Global.GetScreenSize()[0] / 2 - 66, Global.GetScreenSize()[1] / 2 - 14, 0, "<", [c[0], c[1], c[2], 255], h);
  10 < a ? (Render.String(Global.GetScreenSize()[0] / 2 - 7, Global.GetScreenSize()[1] / 2 + 20, 0, "" + a, [c[0], c[1], c[2], 255], h), Render.String(Global.GetScreenSize()[0] / 2 + 7, Global.GetScreenSize()[1] / 2 + 10, 0, ".", [c[0], c[1], c[2], 255], f)) : (Render.String(Global.GetScreenSize()[0] / 2 - 3, Global.GetScreenSize()[1] / 2 + 20, 0, "" + a, [c[0], c[1], c[2], 255], d), Render.String(Global.GetScreenSize()[0] / 2 + 3, Global.GetScreenSize()[1] / 2 + 10, 0, ".", [c[0], c[1], c[2], 255], 
  f));
  UI.IsHotkeyActive("Misc", "JAVASCRIPT", "Script items", "legit desync") ? (Render.String(Global.GetScreenSize()[0] / 2 + 1 - 25, Global.GetScreenSize()[1] / 2 + 51, 0, "LEGIT-AA", [0, 0, 0, b], g), Render.String(Global.GetScreenSize()[0] / 2 - 25, Global.GetScreenSize()[1] / 2 + 50, 0, "LEGIT-AA", [c[0], c[1], c[2], b], g)) : 1 == donwalking ? (Render.String(Global.GetScreenSize()[0] / 2 + 1 - 28, Global.GetScreenSize()[1] / 2 + 51, 0, "D0NWALK", [0, 0, 0, b], g), Render.String(Global.GetScreenSize()[0] / 
  2 - 28, Global.GetScreenSize()[1] / 2 + 50, 0, "D0NWALK", [c[0], c[1], c[2], b], g)) : 1 == UI.GetValue("Misc", "JAVASCRIPT", "Script Items", "freestanding") && 0 == UI.IsHotkeyActive("Misc", "JAVASCRIPT", "Script items", "legit desync") && 0 == donwalking ? (Render.String(Global.GetScreenSize()[0] / 2 + 1 - 28, Global.GetScreenSize()[1] / 2 + 51, 0, "AUTO-DIR", [0, 0, 0, b], g), Render.String(Global.GetScreenSize()[0] / 2 - 28, Global.GetScreenSize()[1] / 2 + 50, 0, "AUTO-DIR", [c[0], c[1], c[2], 
  b], g)) : (Render.String(Global.GetScreenSize()[0] / 2 + 1 - 25, Global.GetScreenSize()[1] / 2 + 51, 0, "D0NWALK", [0, 0, 0, b], g), Render.String(Global.GetScreenSize()[0] / 2 - 25, Global.GetScreenSize()[1] / 2 + 50, 0, "D0NWALK", [c[0], c[1], c[2], b], g));
  Render.GradientRect(Global.GetScreenSize()[0] / 2 + 2 * -a + a + 2, Global.GetScreenSize()[1] / 2 + 40, a, 3, 1, [c[0], c[1], c[2], 0], [c[0], c[1], c[2], 255]);
  Render.GradientRect(Global.GetScreenSize()[0] / 2 + 2 * -a + 2 * a, Global.GetScreenSize()[1] / 2 + 40, a, 3, 1, [c[0], c[1], c[2], 255], [c[0], c[1], c[2], 0]);
  UI.IsHotkeyActive("Misc", "JAVASCRIPT", "Script items", "min dmg override") && (Render.String(Global.GetScreenSize()[0] / 2 + 1 - 12, Global.GetScreenSize()[1] / 2 + 66, 0, "dmg", [0, 0, 0, b], k), Render.String(Global.GetScreenSize()[0] / 2 - 12, Global.GetScreenSize()[1] / 2 + 65, 0, "dmg", [c[0], c[1], c[2], b], k));
}
function main_Draw() {
  var a = Entity.GetLocalPlayer();
  1 == UI.GetValue("Misc", "JAVASCRIPT", "Script items", "indicators") && Entity.IsAlive(a) && main_indicators();
  1 == UI.GetValue("Misc", "JAVASCRIPT", "Script items", "watermark") && watermark();
}
function main_CreateMove() {
  main_yaw();
  prediction_breaker();
  1 == UI.GetValue("Misc", "JAVASCRIPT", "Script items", "buy awp") && auto_buy_purchase();
}
Cheat.RegisterCallback("CreateMove", "main_CreateMove");
Cheat.RegisterCallback("round_end", "auto_buy_prediction");
Cheat.RegisterCallback("item_purchase", "auto_buy_purchased");
Cheat.RegisterCallback("Draw", "main_Draw");
var run = !1, estimate = 0, firstBuy = 0, alias = [["none"], ["awp"], ["ssg08"], ["scar20", "g3sg1"]];
function roundEnded() {
  run = !0;
  estimate = Globals.Curtime() + Convar.GetInt("mp_round_restart_delay");
  firstBuy = 0;
}
function purchase(a) {
  alias[a].forEach(function(b) {
    Cheat.ExecuteCommand("buy " + b);
  });
  run = !1;
}
function onDraw() {
  run && Globals.Curtime() + Local.Latency() / 1E3 >= estimate && purchase(UI.GetValue.apply(this, dropdown));
}
function purchased() {
  0 == firstBuy && (firstBuy = Globals.Curtime() - estimate);
  Entity.GetEntityFromUserID(Event.GetInt("userid")) && -1 != firstBuy && (Cheat.Print("The first item of the round was purchased at " + firstBuy + "s, you purchased at " + (Globals.Curtime() - estimate) + "s.\n"), firstBuy = -1);
}
var dropdown = UI.AddDropdown("buybot", ["None", "AWP", "Scout", "Auto"]);
Cheat.RegisterCallback("round_end", "roundEnded");
Cheat.RegisterCallback("Draw", "onDraw");
Cheat.RegisterCallback("item_purchase", "purchased");